Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Error Upgrading from 4.0 to 4.1M5
Error Upgrading from 4.0 to 4.1M5 [message #655030] Thu, 17 February 2011 23:42 Go to next message
AppleJus Mising name is currently offline AppleJus Mising name
Messages: 46
Registered: July 2010
Member
Hi,
I upgraded from e4.0 early relase to e4.1 M5 integration built and running my rcp e4 app product gives me the following error:

!ENTRY org.eclipse.osgi 4 0 2011-02-17 23:38:11.773
!MESSAGE Application error
!STACK 1
org.eclipse.e4.core.di.InjectionException: org.eclipse.e4.core.di.InjectionException: Unable to process "MenuManagerRendererFilter.handlerService": no actual value was found for the argument "EHandlerService".
at org.eclipse.e4.core.internal.di.MethodRequestor.execute(Meth odRequestor.java:59)
at org.eclipse.e4.core.internal.di.InjectorImpl.processAnnotate d(InjectorImpl.java:828)
at org.eclipse.e4.core.internal.di.InjectorImpl.inject(Injector Impl.java:108)
at org.eclipse.e4.core.internal.di.InjectorImpl.inject(Injector Impl.java:78)
at org.eclipse.e4.core.contexts.ContextInjectionFactory.inject( ContextInjectionFactory.java:72)
at org.eclipse.e4.ui.workbench.renderers.swt.WorkbenchRendererF actory.initRenderer(WorkbenchRendererFactory.java:146)
at org.eclipse.e4.ui.workbench.renderers.swt.WorkbenchRendererF actory.getRenderer(WorkbenchRendererFactory.java:62)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine .getRenderer(PartRenderingEngine.java:724)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine .createWidget(PartRenderingEngine.java:709)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine .createGui(PartRenderingEngine.java:499)
at org.eclipse.e4.ui.workbench.renderers.swt.WBWRenderer.proces sContents(WBWRenderer.java:516)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine .createGui(PartRenderingEngine.java:511)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine .createGui(PartRenderingEngine.java:576)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine $6.run(PartRenderingEngine.java:785)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm.java:332)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine .run(PartRenderingEngine.java:740)
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRu nUI(E4Workbench.java:87)
at org.eclipse.e4.ui.internal.workbench.swt.E4Application.start (E4Application.java:134)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(Eclips eAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:344)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java: 622)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
at org.eclipse.equinox.launcher.Main.main(Main.java:1386)
Caused by: org.eclipse.e4.core.di.InjectionException: Unable to process "MenuManagerRendererFilter.handlerService": no actual value was found for the argument "EHandlerService".
at org.eclipse.e4.core.internal.di.InjectorImpl.reportUnresolve dArgument(InjectorImpl.java:377)
at org.eclipse.e4.core.internal.di.InjectorImpl.resolveRequesto rArgs(InjectorImpl.java:372)
at org.eclipse.e4.core.internal.di.InjectorImpl.inject(Injector Impl.java:97)
at org.eclipse.e4.core.internal.di.InjectorImpl.internalMake(In jectorImpl.java:310)
at org.eclipse.e4.core.internal.di.InjectorImpl.make(InjectorIm pl.java:237)
at org.eclipse.e4.core.contexts.ContextInjectionFactory.make(Co ntextInjectionFactory.java:153)
at org.eclipse.e4.ui.workbench.renderers.swt.MenuManagerRendere r.init(MenuManagerRenderer.java:220)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.e4.core.internal.di.MethodRequestor.execute(Meth odRequestor.java:52)
... 30 more
An error has occurred. See the log file




Please help!! Thanks!
Re: Error Upgrading from 4.0 to 4.1M5 [message #655130 is a reply to message #655030] Fri, 18 February 2011 07:51 Go to previous message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

On 02/17/2011 11:42 PM, AppleJus wrote:
> Hi,
> I upgraded from e4.0 early relase to e4.1 M5 integration built and
> running my rcp e4 app product gives me the following error:


You need to add a new set of add-ons to your model in order to
instantiate the command/handler services.

See
http://www.eclipse.org/forums/index.php?t=msg&th=204315& amp;start=0&S=400276bfbeb9217a10a3e4eafb2a561f
and
http://dev.eclipse.org/viewcvs/viewvc.cgi/e4/org.eclipse.e4. ui/examples/org.eclipse.e4.demo.contacts/Application.e4xmi?v iew=co
for an example.

PW


--
Paul Webster
http://wiki.eclipse.org/Platform_Command_Framework
http://wiki.eclipse.org/Command_Core_Expressions
http://wiki.eclipse.org/Platform_Expression_Framework
http://wiki.eclipse.org/Menu_Contributions
http://wiki.eclipse.org/Menus_Extension_Mapping
http://help.eclipse.org/galileo/index.jsp?topic=/org.eclipse .platform.doc.isv/guide/workbench.htm


Previous Topic:Exporting product fails to load classes
Next Topic:Product file name different to plug-in name
Goto Forum:
  


Current Time: Fri Jul 25 12:08:34 EDT 2014

Powered by FUDForum. Page generated in 0.01481 seconds